io.vertx.ext.eventbus.bridge.tcp

## Interface TcpEventBusBridge

-     public interface TcpEventBusBridge

  TCP EventBus bridge for Vert.x
  Author:
    Paulo Lopes

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the current socket.
    `void` | `close(Handler<AsyncResult<Void>> handler)` Close the current socket.
    `static TcpEventBusBridge` | `create(Vertx vertx)`
    `static TcpEventBusBridge` | `create(Vertx vertx, BridgeOptions options)`
    `static TcpEventBusBridge` | `create(Vertx vertx, BridgeOptions options, NetServerOptions netServerOptions)`
    `TcpEventBusBridge` | `listen()` Listen on default port 7000
    `TcpEventBusBridge` | `listen(Handler<AsyncResult<TcpEventBusBridge>> handler)` Listen on default port 7000 with a handler to report the state of the socket listen operation.
    `TcpEventBusBridge` | `listen(int port)` Listen on specific port
    `TcpEventBusBridge` | `listen(int port, Handler<AsyncResult<TcpEventBusBridge>> handler)` Listen on specific port
    `TcpEventBusBridge` | `listen(int port, String address)` Listen on specific port and bind to specific address
    `TcpEventBusBridge` | `listen(int port, String address, Handler<AsyncResult<TcpEventBusBridge>> handler)` Listen on specific port and bind to specific address

- - ### Method Detail

    - #### create

          static TcpEventBusBridge create(Vertx vertx)

    - #### create

          static TcpEventBusBridge create(Vertx vertx,
                                          BridgeOptions options)

    - #### create

          static TcpEventBusBridge create(Vertx vertx,
                                          BridgeOptions options,
                                          NetServerOptions netServerOptions)

    - #### listen

          TcpEventBusBridge listen()

      Listen on default port 7000
      Returns:
        self

    - #### listen

          TcpEventBusBridge listen(Handler<AsyncResult<TcpEventBusBridge>> handler)

      Listen on default port 7000 with a handler to report the state of the socket listen operation.
      Parameters:
        `handler` - the result handler
      Returns:
        self

    - #### listen

          TcpEventBusBridge listen(int port,
                                   String address)

      Listen on specific port and bind to specific address
      Parameters:
        `port` - tcp port
        `address` - tcp address to the bind
      Returns:
        self

    - #### listen

          TcpEventBusBridge listen(int port,
                                   String address,
                                   Handler<AsyncResult<TcpEventBusBridge>> handler)

      Listen on specific port and bind to specific address
      Parameters:
        `port` - tcp port
        `address` - tcp address to the bind
        `handler` - the result handler
      Returns:
        self

    - #### listen

          TcpEventBusBridge listen(int port)

      Listen on specific port
      Parameters:
        `port` - tcp port
      Returns:
        self

    - #### listen

          TcpEventBusBridge listen(int port,
                                   Handler<AsyncResult<TcpEventBusBridge>> handler)

      Listen on specific port
      Parameters:
        `port` - tcp port
        `handler` - the result handler
      Returns:
        self

    - #### close

          void close(Handler<AsyncResult<Void>> handler)

      Close the current socket.
      Parameters:
        `handler` - the result handler

    - #### close

          void close()

      Close the current socket.

Copyright © 2016. All rights reserved.